Support » Plugin: Photo Gallery by Supsystic » Fatal error due to plugin update 1.14.8 / Pro 2.8.8.

  • Resolved InfoOradea

    (@truezone)


    Updating plugin to 1.14.8 or pro 2.8.8. created a Fatal problem on site
    I deactivated the plugin and wait for devs to resolve problem

    Fatal error: Uncaught Error: Class ‘Twig_SimpleFunction’ not found in /home/…../public_html/wp-content/plugins/social-share-buttons-by-supsystic/src/SocialSharing/Core/Module.php:70 Stack trace: #0 /home/……./public_html/wp-content/plugins/social-share-buttons-by-supsystic/src/SocialSharing/Core/Module.php(22): SocialSharing_Core_Module->registerTwigFunctions() #1 /home/……./public_html/wp-content/plugins/gallery-by-supsystic/vendor/Rsc/Resolver.php(103): SocialSharing_Core_Module->onInit() #2 /home/……/public_html/wp-content/plugins/gallery-by-supsystic/vendor/Rsc/Environment.php(244): Rsc_Resolver->init() #3 /home/……/public_html/wp-includes/class-wp-hook.php(287): Rsc_Environment->extend(”) #4 /home/……/public_html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array) #5 /home/……/public_html/wp-includes/plugin.php(478): WP_Hook->do_action(Array) #6 /home/i………/public_html/wp-settings.php(403): do_action(‘plugins_loaded’) #7 /home/……../public_ in /home/……./public_html/wp-content/plugins/social-share-buttons-by-supsystic/src/SocialSharing/Core/Module.php on line 70

Viewing 6 replies - 1 through 6 (of 6 total)
  • InfoOradea

    (@truezone)

    UPDATE!

    I Upgraded Social Share Buttons by Supsystic to 2.1.14 and reactivated one by one plugins and seems problem solved!

    Plugin Author supsystic

    (@supsysticcom)

    Due to numerous requests from customers and for compatibility with other plugins, it was decided to update the TWIG libraries.
    Unfortunately, older versions will not be compatible with newer ones. Therefore, to use the latest Free versions of the plugin, you must update the PRO version.

    Best regards,
    Ole

    dgellis

    (@dgellis)

    Hi Ole,

    Please explain, in detail, how to resolve this problem.

    I have a client website down because of this.

    I downloaded and installed the latest pro versions of slider and gallery and that did not solve the problem.

    Also, in the future, how can I avoid this?

    Thank you,

    Darren

    Plugin Support Support Ole

    (@trsupsys)

    @dgellis

    Please explain, in detail, how to resolve this problem.

    In the latest Free version of the plugin, the TWIG library has been updated. 
    Now it works in a completely different way. Whatever the problem arises, update the PRO version to the latest. – 2.8.8
    Deactivate and remove old Gallery plugins.
    Install the new Free version.
    Download new PRO version and install it.

    Same for Slider.
    The main thing is that old and new versions should not be activated at the same time.
    For example, the old version of Gallery and the new Slider.

    Don’t hesitate to contact me in case of any questions. We are always glad to help you!

    Best regards,
    Ole

    Same for Slider.
    The main thing is that old and new versions should not be activated at the same time.
    For example, the old version of Gallery and the new Slider.

    I just downloaded last versions of Slider+PRO, I have installed the last versions of other plugins but Slider causes an error. What do I have to reinstall now?

    Plugin Support Support Ole

    (@trsupsys)

    Please contact us through our 
    internal support.
    We will help you to solve the problem.

Viewing 6 replies - 1 through 6 (of 6 total)
  • You must be logged in to reply to this topic.